Hex: LUft_UMFPACK Class Reference

| Hex 2.2 Hydrogen-electron collision solver

Public Member Functions | Data Fields
LUft_UMFPACK Class Reference

LU factorization object - UMFPACK specialization. More...

`#include <lu-umfpack.h>`

Inheritance diagram for LUft_UMFPACK:
[legend]
Collaboration diagram for LUft_UMFPACK:
[legend]

## Public Member Functions

| factorizerRunTimeSelectionDefinitions (LUft_UMFPACK, "umfpack") LUft_UMFPACK()
| Default constructor. More...
virtual | ~LUft_UMFPACK ()
| Destructor. More...
LUft_UMFPACK const & | operator= (LUft_UMFPACK const &)=delete
virtual void | factorize (CsrMatrix< LU_int_t, Complex > const &matrix, LUftData data)
| Factorize. More...
NumberArray< double > const & | info () const
| Return factorization information. More...
virtual bool | valid () const
| Validity indicator. More...
virtual std::size_t | size () const
| Return LU byte size. More...
virtual Real | cond () const
| Return condition number. More...
virtual void | solve (const cArrayView b, cArrayView x, int eqs) const
| Solve equations. More...
virtual void | save (std::string name) const
| Save factorization data to disk. More...
virtual void | load (std::string name, bool throw_on_io_failure=true)
| Load factorization data from disk. More...
virtual void | drop ()
| Release memory. More...
Public Member Functions inherited from LUft
| baseClassRunTimeSelectionDefinitions (LUft,()) LUft()
| Default constructor. More...
virtual | ~LUft ()
| Destructor. More...
virtual cArray | solve (const cArrayView b, int eqs=1) const
| Solve equations. More...
virtual void | link (std::string name)
| Link to a disk file. More...
virtual void | unlink ()
| Unlink disk file. More...
virtual std::string | filename () const
| Name of the linked disk file. More...
virtual void | save () const
virtual void | load ()
virtual void | silent_load ()

## Data Fields

NumberArray< double > | info_
| Set of status flags produced by UMFPACK. More...

## Detailed Description

This class holds information on LU factorization as computed by the free library UMFPACK (part of SuiteSparse toolkit). It is derived from LUft and shares interface with that class.

## Constructor & Destructor Documentation

## ◆ ~LUft_UMFPACK()

virtual LUft_UMFPACK::~LUft_UMFPACK | ( |  | ) |

inlinevirtual

## Member Function Documentation

## ◆ cond()

Real LUft_UMFPACK::cond | ( |  | ) | const

virtual

Reimplemented from LUft.

## ◆ drop()

void LUft_UMFPACK::drop | ( |  | ) |

virtual

Reimplemented from LUft.

## ◆ factorize()

void LUft_UMFPACK::factorize | ( | CsrMatrix< LU_int_t, Complex > const & | matrix,
|  | LUftData | data
| ) |  |

virtual

Implements LUft.

## ◆ factorizerRunTimeSelectionDefinitions()

LUft_UMFPACK::factorizerRunTimeSelectionDefinitions | ( | LUft_UMFPACK | ,
|  | "umfpack" |
| ) |  |

inline

## ◆ info()

NumberArray<double> const& LUft_UMFPACK::info | ( |  | ) | const

inline

## ◆ load()

void LUft_UMFPACK::load | ( | std::string | name,
|  | bool | throw_on_io_failure = `true`
| ) |  |

virtual

Implements LUft.

## ◆ operator=()

LUft_UMFPACK const& LUft_UMFPACK::operator= | ( | LUft_UMFPACK const & |  | ) |

delete

## ◆ save()

void LUft_UMFPACK::save | ( | std::string | name | ) | const

virtual

Implements LUft.

## ◆ size()

std::size_t LUft_UMFPACK::size | ( |  | ) | const

virtual

Reimplemented from LUft.

## ◆ solve()

void LUft_UMFPACK::solve | ( | const cArrayView | b,
|  | cArrayView | x,
|  | int | eqs
| ) |  | const

virtual

Implements LUft.

## ◆ valid()

bool LUft_UMFPACK::valid | ( |  | ) | const

virtual

Reimplemented from LUft.

## Field Documentation

## ◆ info_

NumberArray<double> LUft_UMFPACK::info_

mutable

The documentation for this class was generated from the following files:

- src/factorizers/lu-umfpack.h
- src/factorizers/lu-umfpack.cpp